scala.util.control.TailCalls

# Cont

#### case class Cont[A, B](a: TailRec[A], f: (A) ⇒ TailRec[B]) extends TailRec[B] with Product with Serializable

Internal class representing a continuation with function A => TailRec[B]. It is needed for the flatMap to be implemented.

Attributes
  protected
Source
  TailCalls.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, TailRec[B], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Cont
2. Serializable
3. Serializable
4. Product
5. Equals
6. TailRec
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Cont(a: TailRec[A], f: (A) ⇒ TailRec[B])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Cont[A, B] to any2stringadd[Cont[A, B]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Cont[A, B], B)

   Implicit information
     This member is added by an implicit conversion from Cont[A, B] to ArrowAssoc[Cont[A, B]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val a: TailRec[A]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Cont[A, B]) ⇒ Boolean, msg: ⇒ Any): Cont[A, B]

   Implicit information
     This member is added by an implicit conversion from Cont[A, B] to Ensuring[Cont[A, B]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Cont[A, B]) ⇒ Boolean): Cont[A, B]

    Implicit information
      This member is added by an implicit conversion from Cont[A, B] to Ensuring[Cont[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Cont[A, B]

    Implicit information
      This member is added by an implicit conversion from Cont[A, B] to Ensuring[Cont[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Cont[A, B]

    Implicit information
      This member is added by an implicit conversion from Cont[A, B] to Ensuring[Cont[A, B]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### val f: (A) ⇒ TailRec[B]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def flatMap[B](f: (B) ⇒ TailRec[B]): TailRec[B]

    Continue the computation with `f` and merge the trampolining of this computation with that of `f`.

    Continue the computation with `f` and merge the trampolining of this computation with that of `f`.

    Definition Classes
      TailRec

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Cont[A, B] to StringFormat[Cont[A, B]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def map[B](f: (B) ⇒ B): TailRec[B]

    Continue the computation with `f`.

    Continue the computation with `f`.

    Definition Classes
      TailRec

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def result: B

    Returns the result of the tailcalling computation.

    Returns the result of the tailcalling computation.

    Definition Classes
      TailRec
    Annotations
      @tailrec()

25. #### final def resume: scala.Either[() ⇒ TailRec[B], B]

    Returns either the next step of the tailcalling computation, or the result if there are no more steps.

    Returns either the next step of the tailcalling computation, or the result if there are no more steps.

    Definition Classes
      TailRec
    Annotations
      @tailrec()

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### def →[B](y: B): (Cont[A, B], B)

    Implicit information
      This member is added by an implicit conversion from Cont[A, B] to ArrowAssoc[Cont[A, B]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TailRec[B]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Cont[A, B] to any2stringadd[Cont[A, B]]

### Inherited by implicit conversion StringFormat from Cont[A, B] to StringFormat[Cont[A, B]]

### Inherited by implicit conversion Ensuring from Cont[A, B] to Ensuring[Cont[A, B]]

### Inherited by implicit conversion ArrowAssoc from Cont[A, B] to ArrowAssoc[Cont[A, B]]

### Ungrouped